--- title: "Create resource" slug: "apigateway-resource-createresource" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-resource-createresource" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create resource Available in Classic and VPC Create a resource according to the user-defined conditions. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | POST | /api/v1/products/{product-id}/apis/{api-id}/resources | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID that the API belongs to - 0 - 10 characters - See [View product list](/docs/en/apigateway-product-getproductlist) | | `api-id` | String | Required | ID of the API whose resource you want to create - 0 - 10 characters - See [View API](/docs/en/apigateway-api-apis) | ### Request syntax The request syntax is as follows. ``` { "corsMaxAge" : "corsMaxAge", "corsAllowMethods" : "corsAllowMethods", "corsAllowOrigin" : "corsAllowOrigin", "resourcePath" : "resourcePath", "corsAllowCredentials" : "corsAllowCredentials", "corsExposeHeaders" : "corsExposeHeaders", "corsAllowHeaders" : "corsAllowHeaders" } ``` ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `corsMaxAge` | String | Optional | Period in which the client will store preflight request results | | `corsAllowMethods` | String | Optional | Method to allow in client requests (resource access) - `GET` \| `POST` \| `PUT` \| `PATCH` \| `DELETE` \| `HEAD` \| `OPTIONS` | | `corsAllowOrigin` | String | Optional | Set up domains to allow client requests (resource access) - Enter `*` to allow all domains | | `resourcePath` | String | Required | Resource path - `/resource` | | `corsAllowCredentials` | String | Optional | Equivalent to the value of Access-Control-Allow-Credentials in HTTP | | `corsExposeHeaders` | String | Optional | Custom headers that can be included in client requests (resource access) | | `corsAllowHeaders` | String | Optional | Headers to allow in client requests (resource access) | ### Request example The following is a sample request. ``` curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/products/***ksk9***/apis/***51hs***/resources' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "corsAllowMethods" : "DELETE", "corsAllowOrigin" : "*", "resourcePath" : "/test01***2233", "corsAllowHeaders" : "content-type,x-ncp-apigw-api-key,x-ncp-apigw-timestamp,x-ncp-iam-access-key,x-ncp-apigw-signature-v1,x-ncp-apigw-signature-v2" }' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "resource" : { "corsMaxAge" : "corsMaxAge", "resourceId" : "resourceId", "corsAllowMethods" : "corsAllowMethods", "methods" : [ { "methodName" : "ANY", "methodCode" : "methodCode" } ], "corsAllowOrigin" : "corsAllowOrigin", "resourcePath" : "resourcePath", "corsAllowCredentials" : "corsAllowCredentials", "corsExposeHeaders" : "corsExposeHeaders", "apiId" : "apiId", "corsAllowHeaders" : "corsAllowHeaders" } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "resource": { "apiId": "***51hs***", "resourceId": "***hoc2***", "resourcePath": "/test01***2233", "corsAllowOrigin": "*", "corsAllowMethods": "DELETE", "corsAllowHeaders": "content-type,x-ncp-apigw-api-key,x-ncp-apigw-timestamp,x-ncp-iam-access-key,x-ncp-apigw-signature-v1,x-ncp-apigw-signature-v2" } } ```